Skip to main content
`Ctrl`+`K`

# scipy.special.wofz

scipy.special.wofz(z, out=None) = <ufunc 'wofz'>

  Faddeeva function

  Returns the value of the Faddeeva function for complex argument:

      exp(-z**2) * erfc(-i*z)

  Parameters:
    z array_like

      complex argument

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Value of the Faddeeva function

  See also

  `dawsn`, `erf`, `erfc`, `erfcx`, `erfi`

  References

  [1]

  Steven G. Johnson, Faddeeva W function implementation. http://ab-initio.mit.edu/Faddeeva

  Examples

      >>> import numpy as np
      >>> from scipy import special
      >>> import matplotlib.pyplot as plt

      >>> x = np.linspace(-3, 3)
      >>> z = special.wofz(x)

      >>> plt.plot(x, z.real, label='wofz(x).real')
      >>> plt.plot(x, z.imag, label='wofz(x).imag')
      >>> plt.xlabel('$x$')
      >>> plt.legend(framealpha=1, shadow=True)
      >>> plt.grid(alpha=0.25)
      >>> plt.show()